--PowerupNitro.
--by aarbro [aarbro@hotmail.com]


PowerupNitro = {


	Properties = {
		fRespawnTime = 10, --in s
		fEffect = 1.0, --Increase in power
		fEffectTime = 5, --in s
		objAnimatedModel = "Objects/EXP/nitro.cga",
		fAnimationSpeed = 0.5,
	},

	active = 1;
	
};
-------------------------------------------------------------------------------
function PowerupNitro:OnPropertyChange()
	self:OnReset();
end
-------------------------------------------------------------------------------

function PowerupNitro:OnInit()
	self:OnReset();
end
-------------------------------------------------------------------------------

function PowerupNitro:OnReset()

	self:LoadCharacter( self.Properties.objAnimatedModel, 0 );
	self:DrawCharacter( 0,1 );
	self:StartAnimation( 0,"default",0,0,self.Properties.fAnimationSpeed,1 );
	self.active = 1;

	self:TrackColliders(1);
	
end

-------------------------------------------------------------------------------

function PowerupNitro:OnEnterArea( vehicle,areaId )

 	if ( self.active == 0 ) then
 		return;
 	end
 	if ( vehicle.entity_type ~= "vehicle" ) then --not a vehicle
 		return;
 	end
 
 	--check if the vehicle is connected to a VehicleRealism
 	local ents = System:GetEntities();
 	for idx,entity in ents do
 		if ( entity.classname == "VehicleRealism" ) then
 			if ( entity.Properties.VehicleName == vehicle:GetName() ) then
 				entity.nitro.available = 1;
 				entity.nitro.effect = self.Properties.fEffect;
 				entity.nitro.time = self.Properties.fEffectTime;
				self:DrawCharacter( 0,0 );
				self.active = 0;
				self:SetTimer( self.Properties.fRespawnTime * 1000 );
 			end
 		end
 	end
	

end
-------------------------------------------------------------------------------
function PowerupNitro:OnTimer()
	self:DrawCharacter( 0,1 );
	self.active = 1;
end
-------------------------------------------------------------------------------
