Script:LoadScript("scripts/default/entities/pickups/basepickup.lua");

local funcPick=function (self, collider, entering)

	--self:NotifyMessage("collider.cnt.armor="..collider.cnt.armor..", collider.cnt.max_armor="..collider.cnt.max_armor);
	local slot = Server:GetServerSlotByEntityId(collider.id);

	if (collider.cnt.vip == nil) then
		collider.cnt.vip = 0;
	end

	if (collider.cnt.vip == 2) then
		slot:SendText("You already are carrying gold!",3);
		return nil;
	else	
		local szTeam=Game:GetEntityTeam(collider.id);
		if (tonumber(getglobal("gr_FortQuickReturn")) == 1) and (self.LaunchedByTeam~=szTeam) then
			Server:BroadcastText(collider:GetName().." has returned the gold.");
			if GameRules:IsAttacker(collider) then
				Server:BroadcastCommand("SNQ A");
				local team_score=Game:GetTeamScore(GameRules.attackerTeam);
				team_score=team_score+1;
				Server:SetTeamScore(GameRules.attackerTeam,team_score);
				MPStatistics:AddStatisticsDataEntity(collider,"nCaptureAverted",1);
				GameRules:FortCheck();
			else
				Server:BroadcastCommand("SNQ A");
				local team_score=Game:GetTeamScore(GameRules.defenderTeam);
				team_score=team_score+1;
				Server:SetTeamScore(GameRules.defenderTeam,team_score);
				MPStatistics:AddStatisticsDataEntity(collider,"nCaptureAverted",1);
				GameRules:FortCheck();
			end
			return 1;
		end

		slot:SendText("You have some gold from the ground!",3);
		collider.cnt.vip = 2;
		Server:BroadcastCommand("FX", g_Vectors.v000, g_Vectors.v000, collider.id, 5);
--		Server:BroadcastText(collider:GetName().." should be electric B");
		GameRules.newhero = collider.id + 1; 
	end

--	if (BasicPlayer.HasFullArmor(collider))then
--		if (entering == 1) then
--			if ((not self.lasttime) or (_time>(self.lasttime+6))) then
--				-- send armor cannot catch 
--				local serverSlot = Server:GetServerSlotByEntityId(collider.id);
--				if (serverSlot) then
--					serverSlot:SendCommand("HUD P 1 -1"); -- hud, generic pick, armor, not available
--				end
--			
--				--self:NotifyMessage("@pickup_not_possible @armor_pickup_not_possible_trail", collider);
--				self.lasttime=_time;
--			end
--		end
--		return nil;
--	end	

--	local amount = BasicPlayer.AddArmor(collider, self.Properties.Amount);
	
	-- send armor catch 
--	local serverSlot = Server:GetServerSlotByEntityId(collider.id);
--	if (serverSlot) then	
--		serverSlot:SendCommand("HUD P 1 "..self.Properties.Amount); -- hud, generic pick, armor, amount
--	end
	
	--self:NotifyMessage("@YouPickedUp "..self.Properties.Amount.." @UnitsOf @Armor", collider)
	
	return 1;
		
end

local params={
	func=funcPick,
	--model="Objects/Pickups/universal_ammo/universal_ammo.cgf",
	--model="Objects/editor/mtlsphere.cgf",
	model="Objects/gold_bar.cgf",
	default_amount=15,
	sound="sounds/player/zipper.wav",
	modelchoosable=nil,
	soundchoosable=nil,
--	floating_icon="Objects/Pickups/armor/armor_icon.cga"
	team = 0,
}

FortGold=CreateCustomPickup(params);

--3up change start to EOF

--	mass = 1,
--	size = 3,
--	heading = {x=0,y=0,z=1},
--	initial_velocity = 1,
--	heading = {x=0,y=0,z=1},
--	initial_velocity = 1,
--	k_air_resistance = 0,
--	acc_thrust = 0,
--	acc_lift = 0,
--	--high friction material
--	surface_idx = Game:GetMaterialIDByName("mat_pickup"),
--	gravity = {x=0, y=0, z=-3},
--	gravity = {x=0, y=0, z=-3},
--	collider_to_ignore = nil,
	--flags = bor(particle

FortGold.PhysParam = {
	mass = 10,
	size = 0.25,
	heading = {x=0,y=0,z=-1},
	initial_velocity = 1,
	k_air_resistance = 0,
	acc_thrust = 0,
	acc_lift = 0,
	--high friction material
	surface_idx = Game:GetMaterialIDByName("mat_pickup"),
	gravity = {x=0, y=0, z=-9.8 },
	collider_to_ignore = nil,
	--flags = bor(particle_constant_orientation,particle_no_path_alignment, particle_no_roll, particle_traceable),
}

function FortGold:Launch( shooter, pos)

	self:SetPhysicParams( PHYSICPARAM_PARTICLE, self.PhysParam );
	self.autodelete = 1;
	self.deleteOnGameReset = 1;
	self:EnableSave(nil);
	self:GotoState("Dropped");
	-- fade away after 1200 seconds
	self.Properties.FadeTime = 1200;
	self.Properties.Amount = 30;
	self.Properties.isGold = 1;
	self:SetTimer(1000);


--	local direction = g_Vectors.temp_v1;
	local dest = g_Vectors.temp_v2;
		
--	CopyVector(direction,dir);
		
--	dest.x = pos.x + direction.x * 1.5;
--	dest.y = pos.y + direction.y * 1.5;
--	dest.z = pos.z + direction.z * 1.5;

	dest.x = pos.x;
	dest.y = pos.y;
	dest.z = pos.z + 1.5;
		
	local hits = System:RayWorldIntersection(pos,dest,1,ent_terrain+ent_static+ent_rigid+ent_sleeping_rigid,shooter.id);
		
	if (hits and getn(hits)>0) then
			
		local temp = hits[1].pos;
		
		dest.x = temp.x;
		dest.y = temp.y;
		dest.z = temp.z - 0.15;
	end
	
	shooter:AwakeEnvironment();

	self:SetPos( dest );--pos );
	self:NetPresent(1);
	
	-- the ID of the server slot who initiated the action
	-- used for statistics
	local serverSlot = Server:GetServerSlotByEntityId(shooter.id);
	
	if (serverSlot) then
		self.shooterSSID = serverSlot:GetId();
	end
	
	self.LaunchedByTeam=Game:GetEntityTeam(shooter.id);
end