Katana = {
	name			= "Katana",
--	object		= "Objects/Weapons/wrench/wrench_bind.cgf",
--	character	= "Objects/Weapons/wrench/wrench.cgf",
--	object		= "objects/weapons/machete/machete_bind.cgf",
	character	= "objects/weapons/machete/machetex.cgf",
	object		= "objects/weapons/highcal/katana_dig_1.cgf",
--	character	= "objects/weapons/highcal/katana.cgf",

	
	-- factor to slow down the player when he holds that weapon
	PlayerSlowDown = 0.9,	
	weight = 0.1,									-- factor to slow down the player when he holds that weapon
	---------------------------------------------------
	ActivateSound = Sound:LoadSound("sounds/weapons/machete/machete_pickup.wav",0,120),	-- sound to play when this weapon is selected
	---------------------------------------------------
	NoZoom=1,
	DrawFlare=1,
	---------------------------------------------------
	-- describes all supported firemodes
	FireParams ={													
	{
		type = 3,			-- used for choosing animation - is a melee weapon 	
		AmmoType="Unlimited",
		reload_time=0.01,
		fire_rate=0.5,
		distance=1.4,
		damage=700,
		bullet_per_shot=1,
		bullets_per_clip=20,
		FModeActivationTime = 2.0,
		iImpactForceMul = 80,
		iImpactForceMulFinal = 80,
		fire_activation=bor(FireActivation_OnPress),
		FireSounds = {
			"sounds/weapons/machete/fire1.wav",
			"sounds/weapons/machete/fire2.wav",
			"sounds/weapons/machete/fire3.wav",
		},
		
		no_ammo=1,
		SoundMinMaxVol = { 205, 1, 20 },
	},
	},
}

CreateBasicWeapon(Katana);

---------------------------------------------------------------
--ANIMTABLE
------------------
--SINGLE FIRE
Katana.anim_table={}
Katana.anim_table[1]={
	idle={
		"Idle11",
		"Idle21",
	},
	fidget={
		"fidget11",
		"fidget21",
	},
	fire={
		--"Fire11",
		"Fire21",
	},
	swim={
		"swim"
	},
	activate={
		"Activate1"
	},
}