projectileDefinition = {
	Param = {

		mass = 7,
		size = 0.3,
		heading = {},
		flags = bor(particle_no_path_alignment, particle_no_roll, particle_traceable),
		initial_velocity = 10,
		k_air_resistance = 0.5,
		w = {x=1, y=3, z=5},
		acc_thrust = 0,
		acc_lift = 0,
		surface_idx = -1,
		gravity = {x=0, y=0, z=-9.81 },
		collider_to_ignore = nil,
		water_gravity={x=0, y=0, z=-2 },
		k_water_resistance = 4.0,
		pierceability = 15,
		min_bounce_vel = 0,
	},
	hit_effect = "grenade_hit",
	explode_effect = "threebomb_explosion",
	matEffect = "threebomb_explosion",
	shotEffect = 0,

	explode_underwater = 1,
	ExplosionParams = {
		pos = {},
		damage = 1000,
		rmin = 10, -- in physical pressure calculations, if something is closer than rmin, it's treated as if it were at rmin
		rmax = 35, --
		radius = 35, -- in physics impulsive_pressure means pressure at this radius
		DeafnessRadius = 80.0,
		DeafnessTime = 10.0,
		impulsive_pressure = 3000000,
		shooter = nil,
		weapon = nil,
		rmin_occlusion=0.2,
		occlusion_res=32,
		occlusion_inflate=2,
    iImpactForceMulFinalTorso=100,
	},


	
	lifetime = 5000,

	force_objtype = 2,
	model="objects/Pickups/BOMB/bomb.cgf",
	projectileObject = "objects/Pickups/BOMB/bomb.cgf",
	projectileObjectScale = 1.0,
}

AtomicGrenade = CreateProjectile(projectileDefinition);
