FistMelee = {
	name			= "FistMelee",
	object		= "objects/weapons/machete/machete_bind.cgf",
	character	= "Objects/Weapons/hands2/hands2.cgf",
	
	-- factor to slow down the player when he holds that weapon
	PlayerSlowDown = 1.0,	
	weight = 0.1,									-- factor to slow down the player when he holds that weapon
	---------------------------------------------------
	ActivateSound = Sound:LoadSound("sounds/weapons/machete/machete_pickup.wav",0,120),	-- sound to play when this weapon is selected
	---------------------------------------------------
	NoZoom=1,
	---------------------------------------------------
	-- describes all supported firemodes
	FireParams ={													
	{
		type = 3,			-- used for choosing animation - is a melee weapon 	
		AmmoType="Unlimited",
		reload_time=0.01,
		fire_rate=0.3,
		distance=1.4,
		damage=20,
		bullet_per_shot=1,
		bullets_per_clip=20,
		FModeActivationTime = 2.0,
		iImpactForceMul = 80,
		iImpactForceMulFinal = 80,
		fire_activation=bor(FireActivation_OnPress),
		FireSounds = {
			"sounds/weapons/machete/fire1.wav",
			"sounds/weapons/machete/fire2.wav",
			"sounds/weapons/machete/fire3.wav",
		},
		
		no_ammo=1,
		SoundMinMaxVol = { 205, 1, 20 },
	},
	},
}

CreateBasicWeapon(FistMelee);

---------------------------------------------------------------
--ANIMTABLE
------------------
--SINGLE FIRE
FistMelee.anim_table={}
FistMelee.anim_table[1]={
	idle={
		"Idle11",
	},
	fire={
		"leftjab",
		"rightjab",
		"uppercut",
	},
	swim={
		"swim"
	},
	activate={
		"Activate1"
	},
}