UI.PageVotePanel=
{
    LevelList={},       -- { missionname1={}, missionname2={}, }
    
    GUI =
    {   
        VotePanelText=
        {
            skin = UI.skins.Label,
            
            left = 200, top = 110,
            width = 122, 
            halign = UIALIGN_LEFT,
            
            text = "Voting Panel";
        },
        
             
        PlayerList=
        {       
            skin = UI.skins.EditBox,

            left = 400, top = 232,
            width = 44, height = 24,

            fontsize = 11,            
            
            tabstop = 13,
        },
        
        KickPlayer=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Kick",
            
            tabstop = 15,
            fontsize = 12,
            
            left = 320, top = 232,
            width = 70, height = 24,
            
            OnCommand = function(Sender)
                local PlayerToKick = UI.PageVotePanel.GUI.PlayerList:GetText();
--                Game:ExecuteRConCommand("kickid "..PlayerToKick);
			if (Client) then
				Client:CallVote("kick",PlayerToKick);
			end

                System:ShowConsole(1);
            end,
        },
        
        ListActivePlayers=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "List Active Players",
            
            tabstop = 42,
            fontsize = 12,
            
            left = 465, top = 232,
            width = 147, height = 24,

            OnCommand = function(Sender)
                System:ExecuteCommand("listplayers");
                System:ShowConsole(1);
            end            
        },


        MODListText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 150,
            width = 140, height = 24,
            
            fontsize = 12,
            text = "Map Type";
        },
        
        MODList=
        {
            skin = UI.skins.ComboBox,
            
            left = 320, top = 150,
            width = 140, height = 24,
            
            buttonsize = 15,
            
            maxitems = 5,
            fontsize = 12, 
            
            tabstop = 17,

            vscrollbar=
            {
                skin = UI.skins.VScrollBar,
            },      
            
            OnChanged = function(Sender)
                UI.PageVotePanel.PopulateMapList();
                
                if (UI.PageVotePanel.GUI.MapList:GetItemCount()) then
                
                    if (getglobal(gr_NextMap)) then
                        UI.PageVotePanel.GUI.MapList:Select(tostring(gr_NextMap));
                        
                        if (not UI.PageVotePanel.GUI.MapList:GetSelection()) then
                            UI.PageVotePanel.GUI.MapList:SelectIndex(1);
                        end
                    else
                        UI.PageVotePanel.GUI.MapList:SelectIndex(1);
                    end
                end
            end,
        },        
        
        MapListText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 190,
            width = 140, height = 24,
            
            fontsize = 12,
            text = "Map Name";
        },
        
        MapList=
        {
            skin = UI.skins.ComboBox,
            
            left = 320, top = 190,
            width = 140, height = 24,
            
            buttonsize = 15,
            
            maxitems = 5,
            fontsize = 12,
            
            tabstop = 18,
            
            vscrollbar=
            {
                skin = UI.skins.VScrollBar,
            },           
        },

        ChangeMap=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Change Map",
            
            tabstop = 19,
            fontsize = 12,
            
            left = 465, top = 190,
            width = 75, height = 24,
            
            OnCommand = function(Sender)
                local NewMapName = UI.PageVotePanel.GUI.MapList:GetSelection();
			if (Client) then
				Client:CallVote("map",NewMapName);
			end
            end            
        },
        
        RestartMap=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Restart Map",
            
            tabstop = 20,
            fontsize = 14,
            
            left = 320, top = 280,
            width = 75, height = 44,
            
            OnCommand = function(Sender)
--                Game:ExecuteRConCommand("sv_restart");
			if (Client) then
				Client:CallVote("restart");
			end
            end            
        },

        Mutacto=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Mutacto",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 150,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("mutacto");
			end
            end            
        },

        Hutacto=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Hutacto",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 190,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("hutacto");
			end
            end            
        },

        King=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "King",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 230,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("king");
			end
            end            
        },

        Plunder=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Plunder",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 270,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("plunder");
			end
            end            
        },
        
        Assault=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Assault",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 310,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("assault");
			end
            end            
        },
        
        Anni=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Annihilation",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 660, top = 350,
            width = 95, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("anni 3");
			end
            end            
        },
        
        nextflag=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Next Flag",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 400,
            width = 75, height = 29,
            
            OnCommand = function(Sender)
			if (Client) then
				Client:CallVote("nextflag");
			end
            end            
        },

    
        OnActivate = function(Sender)
            UI.PageVotePanel.GUI.MODList:Clear();

            for name, MOD in AvailableMODList do
                UI.PageVotePanel.GUI.MODList:AddItem(name);
            end
            UI.PageVotePanel.RefreshLevelList();

            UI.PageVotePanel.RefreshWidgets();
        end,

        OnUpdate = function(Sender)
            
        end,
    },
       
    PopulateMapList = function()
        local szMOD = UI.PageVotePanel.GUI.MODList:GetSelection();
        
        UI.PageVotePanel.GUI.MapList:Clear();
        if (szMOD) then
            local szMission = AvailableMODList[strupper(szMOD)].mission;
            
            for i, szLevelName in UI.PageVotePanel.LevelList[szMission] do
                UI.PageVotePanel.GUI.MapList:AddItem(szLevelName);
            end
        end
        
        UI.PageVotePanel.GUI.MapList:SelectIndex(1);
    end,
    
    RefreshLevelList = function()
        UI.PageVotePanel.LevelList = {};
        
        -- create the tables
        for name, MOD in AvailableMODList do
            local szMission = MOD.mission;
            
            UI.PageVotePanel.LevelList[szMission] = {};
        end

        -- request level list from game 
        local LevelList = Game:GetLevelList();
    
        -- go through all the levels
        for LevelIndex, Level in LevelList do
            -- all mission names
            for MissionIndex, MissionName in Level.MissionList do
                -- get the mission names that are supported, and insert them in the appropriate table
                for name, AvailableMOD in AvailableMODList do
                    local szMission = AvailableMOD.mission;
            
                    if (strlower(MissionName) == strlower(szMission)) then
                        tinsert(UI.PageVotePanel.LevelList[szMission], Level.Name);
                        -- tinsert adds a "n" key, so we just remove it here
                        UI.PageVotePanel.LevelList[szMission].n = nil;
                        break;
                    end
                end
            end
        end
    end,

    RefreshWidgets = function()
        local GUI = UI.PageVotePanel.GUI;

        if (g_GameType and (g_GameType ~= "Default")) then
            GUI.MODList:Select(g_GameType);
        else
            GUI.MODList:SelectIndex(1);
        end 
        GUI.MODList.OnChanged(GUI.MODList);
        
        if (getglobal("gr_NextMap")) then
            GUI.MapList:Select(getglobal("gr_NextMap"));
        else
            GUI.MapList:SelectIndex(1);
        end
        
        if (g_LastIP ~= nil) then
            --GUI.ServerIP:SetText(g_LastIP);
        end
    end,
}

AddUISideMenu(UI.PageVotePanel.GUI,
{
    { "MainMenu", Localize("MainMenu"), "$MainScreen$", 0},
    { "Options", Localize("Options"), "Options", },
});

UI:CreateScreenFromTable("VotePanel", UI.PageVotePanel.GUI);
